NumberFormat (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.format.annotation

## Annotation Type NumberFormat

-     @Target(value={METHOD,FIELD,PARAMETER})
      @Retention(value=RUNTIME)
      public @interface NumberFormat

  Declares that a field should be formatted as a number. Supports formatting by style or custom pattern string. Can be applied to any JDK `java.lang.Number` type.

  For style-based formatting, set the `style()` attribute to be the desired `NumberFormat.Style`. For custom formatting, set the `pattern()` attribute to be the number pattern, such as `#, ###.##`.

  Each attribute is mutually exclusive, so only set one attribute per annotation instance (the one most convenient one for your formatting needs). When the pattern attribute is specified, it takes precedence over the style attribute. When no annotation attributes are specified, the default format applied is style-based with a style of `NumberFormat.Style.NUMBER`.

  Since:
    3.0
  Author:
    Keith Donald
  See Also:
    `NumberFormat`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `pattern` The custom pattern to use to format the field.
    `NumberFormat.Style` | `style` The style pattern to use to format the field.

- - ### Element Detail

    - #### style

          public abstract NumberFormat.Style style

      The style pattern to use to format the field. Defaults to `NumberFormat.Style.NUMBER` for general-purpose number formatter. Set this attribute when you wish to format your field in accordance with a common style other than the default style.
      Default:
        org.springframework.format.annotation.NumberFormat.Style.NUMBER

    - #### pattern

          public abstract String pattern

      The custom pattern to use to format the field. Defaults to empty String, indicating no custom pattern String has been specified. Set this attribute when you wish to format your field in accordance with a custom number pattern not represented by a style.
      Default:
        ""